import { TimeAxisBase } from "./TimeAxisBase";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisBreakCollection } from "./TimeAxisBreakCollection";
import { TimeAxisLabellingMode } from "./TimeAxisLabellingMode";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { TimeAxisIntervalCollection } from "./TimeAxisIntervalCollection";
import { Type, IList$1, EventArgs } from "igniteui-react-core";
import { TimeAxisLabelFormat } from "./TimeAxisLabelFormat";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core";
import { CultureInfo } from "igniteui-react-core";
import { TimeRepetitionLevel } from "./TimeRepetitionLevel";
/**
 * @hidden
 */
export declare class TimeXAxis extends TimeAxisBase implements ITimeRangeSelectorAxis {
    static $t: Type;
    constructor();
    protected get_cd(): boolean;
    dz(a: number, b: ScalerParams): number;
    private mz;
    gt(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    protected startCursor(): void;
    protected resetCursor(): void;
    private m1;
    d2(a: number, b: ScalerParams): number;
    private m0;
    private mf;
    readonly breaks: TimeAxisBreakCollection;
    private mo;
    mp: TimeAxisLabellingMode;
    private mm;
    readonly labelFormats: TimeAxisLabelFormatCollection;
    protected g0(a: any, b: string, c: any, d: any): void;
    protected hp(a: Rect, b: Rect): void;
    protected ho(a: Rect, b: Rect): void;
    cp(): boolean;
    private _omission;
    private omission;
    private ni;
    private md;
    private ms;
    private mw;
    private nh;
    fm(a: number): string;
    e9(a: any): any;
    static m2(a: Date, b: boolean, c: Date, d: TimeAxisLabellingMode, e: number, f: IList$1<TimeAxisLabelFormat>, g: CultureInfo): any;
    static m7(a: Date, b: boolean, c: Date, d: TimeAxisLabellingMode, e: number, f: IList$1<TimeAxisLabelFormat>, g: CultureInfo): string;
    private static mq;
    protected get_la(): boolean;
    protected set_la(a: boolean): void;
    private mk;
    readonly intervals: TimeAxisIntervalCollection;
    private m5;
    static m6(a: number, b: TimeRepetitionLevel, c: TimeAxisLabellingMode): string;
    private static mc;
    private static me;
    private mi;
    private mj;
    private m3;
    protected hd(a: boolean): void;
    private mr;
    private mt;
    private ng;
    private mv;
    visibleMinimum: Date;
    private mu;
    private mh;
    visibleMaximum: Date;
    protected l7(): void;
    j2(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    i$f(a: number): number;
    private nj;
    private nl;
    private nk;
    protected get_b5(): boolean;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    private ne;
    static nd(a: (arg1: number) => Date, b: number): number;
    private nc;
    protected l3(): void;
    static m9(a: number): string;
    itemLabelFormat(): string;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected lp(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected ls(a: Rect, b: Rect, c: Rect, d: Rect): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
}
